************************************************************************************
*"CEO PAY AND FIRM SIZE: AN UPDATE AFTER THE CRISIS"

*REGRESSIONS
*********************************************************************************


*Replication Tables 1,2,3 and Fig2
***********************************

use replication123F2, replace

*Table 1
*********

eststo clear
eststo: xi:areg lcomp firmvalue lincome lsales   i.year,cl(gvkey) a(famafrench)
eststo: xi:areg lcomp firmvalue i.year if lincome~=.&lsales~=.&firmvalue~=. ,cl(gvkey) a(famafrench)
eststo: xi:areg lcomp  lincome   i.year if lincome~=.&lsales~=.&firmvalue~=.,cl(gvkey) a(famafrench)
eststo: xi:areg lcomp lsales   i.year if lincome~=.&lsales~=.&firmvalue~=.,cl(gvkey) a(famafrench)
eststo: xi:areg lcomp equityvalue  i.year if lincome~=.&lsales~=.&firmvalue~=.,cl(gvkey) a(famafrench)
esttab using l.tex, se r2 nonote nostar replace

eststo clear
eststo: xi:areg lcomp firmvalue lincome lsales   i.year,cl(year) a(famafrench)
eststo: xi:areg lcomp firmvalue i.year if lincome~=.&lsales~=.&firmvalue~=. ,cl(year) a(famafrench)
eststo: xi:areg lcomp  lincome   i.year if lincome~=.&lsales~=.&firmvalue~=.,cl(year) a(famafrench)
eststo: xi:areg lcomp lsales   i.year if lincome~=.&lsales~=.&firmvalue~=.,cl(year) a(famafrench)
eststo: xi:areg lcomp equityvalue  i.year if lincome~=.&lsales~=.&firmvalue~=.,cl(year) a(famafrench)
esttab using l.tex, se r2 nonote nostar replace


*Table 2
***********

*TOP 1000
**********

eststo clear
eststo: xi: reg lcomp firmvalue firmvalue250,  cl(gvkey)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcomp firmvalue firmvalue250, a(famafrench) cl(gvkey)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcomp firmvalue firmvalue250, a(gvkey) cl(gvkey)
lincom firmvalue+firmvalue250-1
eststo: xi: reg lcomp firmvalue firmvalue250,  cl(year)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcomp firmvalue firmvalue250, a(famafrench) cl(year)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcomp firmvalue firmvalue250, a(gvkey) cl(year)
lincom firmvalue+firmvalue250-1

replace firmvalue=. if n>500
*TOP 500
*********

eststo: xi: reg lcomp firmvalue firmvalue250,  cl(gvkey)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcomp firmvalue firmvalue250, a(famafrench) cl(gvkey)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcomp firmvalue firmvalue250, a(gvkey) cl(gvkey)
lincom firmvalue+firmvalue250-1
eststo: xi: reg lcomp firmvalue firmvalue250,  cl(year)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcomp firmvalue firmvalue250, a(famafrench) cl(year)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcomp firmvalue firmvalue250, a(gvkey) cl(year)
lincom firmvalue+firmvalue250-1

*Table 3
**********
*TOP 1000
**********
replace equityvalue=. if n2>1000
eststo clear
eststo: xi: reg lcomp equityvalue equityvalue250,  cl(gvkey)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcomp equityvalue equityvalue250, a(famafrench) cl(gvkey)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcomp equityvalue equityvalue250, a(gvkey) cl(gvkey)
lincom equityvalue+equityvalue250-1
eststo: xi: reg lcomp equityvalue equityvalue250,  cl(year)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcomp equityvalue equityvalue250, a(famafrench) cl(year)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcomp equityvalue equityvalue250, a(gvkey) cl(year)
lincom equityvalue+equityvalue250-1

replace equityvalue=. if n2>500
*TOP 500
*********

eststo: xi: reg lcomp equityvalue equityvalue250,  cl(gvkey)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcomp equityvalue equityvalue250, a(famafrench) cl(gvkey)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcomp equityvalue equityvalue250, a(gvkey) cl(gvkey)
lincom equityvalue+equityvalue250-1
eststo: xi: reg lcomp equityvalue equityvalue250,  cl(year)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcomp equityvalue equityvalue250, a(famafrench) cl(year)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcomp equityvalue equityvalue250, a(gvkey) cl(year)
lincom equityvalue+equityvalue250-1


*Figure 2
*********

keep if n<501
twoway scatter lnrank lmktcap if year==2010&n<501 ,  xtitle("Ln(Total Firm Value)")  ytitle("ln(Rank-1/2)") ||lfit lnrank lmktcap if year==2010&n<501
reg lnrank lmktcap if year==2010&n<501 



* Replication Tables 5, 6, Fig 1
**********************************

use replication56F1, clear

*Fig 1
******

line JMW_compensation_index FS_compensation_index firmvalue equityvalue year if year>=1970&JMW_compensation_index~=. , xlabel(1970(5)2010,grid) ylabel(1(1)10,grid) yscale(log) pstyle(p1 p1 p1) xtitle("Year") ytitle("") title("Executive Compensation and Size of Top 500 Firms") subtitle("normalized to 1 in 1980") sort clpattern(dash_dot dot solid dash) clcolor( blue green red)  

sort year
gen dmkteq=ln(equityvalue)-ln(equityvalue[_n-1])
gen dmkt=ln(firm)-ln(firm[_n-1])

replace JMW_compensation_index=ln(JMW_compensation_index)
replace FS_compensation_index=ln(FS_compensation_index)

gen JMW_compensation_index1=JMW_compensation_index[_n-1] if year==year[_n-1]+1
gen dJMW_compensation_index=JMW_compensation_index-JMW_compensation_index1

gen FS_compensation_index1=FS_compensation_index[_n-1] if year==year[_n-1]+1
gen dFS_compensation_index=FS_compensation_index-FS_compensation_index1


*Tables 5 and 6
*****************

tsset year
eststo clear
eststo: newey dJMW_compensation_index dmkt if year>=1971,lag(2)
eststo: newey dFS_compensation_index dmkt if year>=1971,lag(2)
eststo: newey dJMW_compensation_index dmkteq if year>=1971,lag(2)
eststo: newey dFS_compensation_index dmkteq if year>=1971,lag(2)


*Replication Tables 7 and 8
***************************

use replication78, clear

*Table 7
***********
*TOP 1000
**********
eststo clear
eststo: xi: reg lcompexec firmvalue firmvalue250,  cl(gvkey)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcompexec firmvalue firmvalue250, a(famafrench) cl(gvkey)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcompexec firmvalue firmvalue250, a(gvkey) cl(gvkey)
lincom firmvalue+firmvalue250-1
eststo: xi: reg lcompexec firmvalue firmvalue250,  cl(year)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcompexec firmvalue firmvalue250, a(famafrench) cl(year)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcompexec firmvalue firmvalue250, a(gvkey) cl(year)
lincom firmvalue+firmvalue250-1

replace firmvalue=. if n>500
*TOP 500
*********

eststo: xi: reg lcompexec firmvalue firmvalue250,  cl(gvkey)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcompexec firmvalue firmvalue250, a(famafrench) cl(gvkey)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcompexec firmvalue firmvalue250, a(gvkey) cl(gvkey)
lincom firmvalue+firmvalue250-1
eststo: xi: reg lcompexec firmvalue firmvalue250,  cl(year)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcompexec firmvalue firmvalue250, a(famafrench) cl(year)
lincom firmvalue+firmvalue250-1
eststo: xi: areg lcompexec firmvalue firmvalue250, a(gvkey) cl(year)
lincom firmvalue+firmvalue250-1

*Table 8
**********

*TOP 1000
**********

eststo clear
eststo: xi: reg lcompexec equityvalue equityvalue250,  cl(gvkey)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcompexec equityvalue equityvalue250, a(famafrench) cl(gvkey)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcompexec equityvalue equityvalue250, a(gvkey) cl(gvkey)
lincom equityvalue+equityvalue250-1
eststo: xi: reg lcompexec equityvalue equityvalue250,  cl(year)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcompexec equityvalue equityvalue250, a(famafrench) cl(year)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcompexec equityvalue equityvalue250, a(gvkey) cl(year)
lincom equityvalue+equityvalue250-1

replace equityvalue=. if n2>500
*TOP 500
*********

eststo: xi: reg lcompexec equityvalue equityvalue250,  cl(gvkey)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcompexec equityvalue equityvalue250, a(famafrench) cl(gvkey)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcompexec equityvalue equityvalue250, a(gvkey) cl(gvkey)
lincom equityvalue+equityvalue250-1
eststo: xi: reg lcompexec equityvalue equityvalue250,  cl(year)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcompexec equityvalue equityvalue250, a(famafrench) cl(year)
lincom equityvalue+equityvalue250-1
eststo: xi: areg lcompexec equityvalue equityvalue250, a(gvkey) cl(year)
lincom equityvalue+equityvalue250-1

